Dokümantasyona Dön
/v1/audio/speech
Metni sese dönüştürün
OpenAI uyumlu API kullanarak metinden doğal sesli ses oluşturun.
POST
/v1/audio/speechİstek Örnekleri
cURL
curl https://api.ustagpt.com.tr/v1/audio/speech \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-4o-mini-tts",
"input": "Hello, welcome to ustaGPT!",
"voice": "alloy"
}' \
--output speech.mp3Parametreler
| Ad | Tip | Gerekli | Açıklama |
|---|---|---|---|
model | string | Evet | Kullanılacak model ID'si (örn: gpt-4o-mini-tts) |
input | string | Evet | Sese dönüştürülecek metin |
voice | string | Evet | Oluşturma için kullanılacak ses |
response_format | string | Hayır | Çıktı formatı (mp3, opus, aac, flac) |
speed | number | Hayır | Oluşturulan sesin hızı (0.25 ile 4.0 arası) |
Mevcut Sesler
Bu seslerden birini seçin:
alloy- Nötr ve dengeliecho- Sıcak ve ilgi çekicifable- İfade dolu ve dinamikonyx- Derin ve otoriternova- Samimi ve neşelishimmer- Net ve profesyonel
Desteklenen Modeller
- gpt-4o-mini-tts
- tts-1
- tts-1-hd